#
# spec file for package perl-Data-Integer
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Data-Integer
Name:           perl-Data-Integer
Version:        0.7.0
Release:        1.1
# 0.007 -> normalize -> 0.7.0
%define cpan_version 0.007
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Details of the native integer data type
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RR/RRWO/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(parent)
Requires:       perl(parent)
Provides:       perl(Data::Integer) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module is about the native integer numerical data type. A native
integer is one of the types of datum that can appear in the numeric part of
a Perl scalar. This module supplies constants describing the native integer
type.

There are actually two native integer representations: signed and unsigned.
Both are handled by this module.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README SECURITY.md

%changelog
* Mon Apr 14 2025 Tina Müller <timueller+perl@suse.de>
- updated to 0.7.0 (0.007)
  see /usr/share/doc/packages/perl-Data-Integer/Changes
* Tue Aug  8 2017 coolo@suse.com
- updated to 0.006
  see /usr/share/doc/packages/perl-Data-Integer/Changes
  version 0.006; 2017-08-07
  * no longer include a Makefile.PL in the distribution
  * in documentation, use four-column indentation for all verbatim
    material
  * in META.{yml,json}, point to public bug tracker
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.005
  see /usr/share/doc/packages/perl-Data-Integer/Changes
  version 0.005; 2015-03-29
  * avoid a spurious warning generated by new Perls starting with
    Perl 5.21.6
  * include META.json in distribution
  * convert .cvsignore to .gitignore
  * add MYMETA.json to .cvsignore
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.004
  * created by cpanspec 1.78.04
